const path = require('path');
// const webpack = require('webpack');
//
const VueLoaderPlugin = require('vue-loader/lib/plugin'); // vue加载器

/** 判断是生产环境还是开发环境 */
// const isProd = process.env.NODE_ENV === 'production';

const config = {
    entry: {
        index: "./src/index.js",
        PCodeGit: './src/PCodeGit/index.js',
        PPlantUML: './src/PPlantUML/index.js',
        PTableDesign: './src/PTableDesign/index.js',
    },
    output: {
        filename: '[name].js',
        path: __dirname + '/lib',
        library: 'persagy-vue-doc',     // 指定的就是你使用 require 时的模块名
        libraryTarget: 'umd',           // libraryTarget 会生成不同umd的代码,可以只是 commonjs 标准的，也可以是指amd标准的，也可以只是通过 script 标签引入的
        umdNamedDefine: true,           // 会对 UMD 的构建过程中的 AMD 模块进行命名。否则就使用匿名的 define
    },
    module: {
        rules: [
            {
                test: /\.vue$/,
                use: [
                    'thread-loader', 'cache-loader',
                    {
                        loader: 'vue-loader',
                        options: {
                            // loaders: {
                            //     css: cssConfig,
                            //     stylus: stylusConfig
                            // },
                            preserveWhitespace: false           // 不要留空白
                        }
                    }],
                include: [path.resolve(__dirname, 'src')]
            }
        ]
    },
    plugins: [
        new VueLoaderPlugin(), // vue加载器
    ],
    resolve: { // 配置路径别名
        extensions: ['.js', '.vue', '.styl'], // import引入文件的时候不用加后缀
    },
    externals: {
        vue: {
            root: 'Vue',
            commonjs: 'vue',
            commonjs2: 'vue',
            amd: 'vue'
        }
    }
};

module.exports = config;